Skip to content

CredRep⁠

Perform various operations on credit report records.

Operations⁠

getCredRepSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getCredRepSelectFields
POST /nexum/627/persistent/account/getCredRepSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "SelectableFields": {
    "IncludeAllCredRepFields": true,
    "CredRepFields": {
      "AccessPin": true,
      "ActionText": true,
      "ActualPaymentAmt": true,
      "AddrAnalysisOid": true,
      "AddrVerifyAcct": true,
      "Alias": [
        0
      ],
      "AppAlteredForged": true,
      "AppearanceInconsistent": true,
      "ArmAlert": true,
      "AssociationCode": true,
      "AutoCapCost": true,
      "AutoDownPayment": true,
      "AutoLeaseTerm": true,
      "AutoLoanType": true,
      "AutoMake": true,
      "AutoModel": true,
      "AutoMoneyFactor": true,
      "AutoMsrp": true,
      "AutoRebate": true,
      "AutoResidualFactor": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCredRepSelectFieldsFilterChildren⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getCredRepSelectFieldsFilterChildren
POST /nexum/627/persistent/account/getCredRepSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "SelectableFields": {
    "IncludeAllCredRepFields": true,
    "CredRepFields": {
      "AccessPin": true,
      "ActionText": true,
      "ActualPaymentAmt": true,
      "AddrAnalysisOid": true,
      "AddrVerifyAcct": true,
      "Alias": [
        0
      ],
      "AppAlteredForged": true,
      "AppearanceInconsistent": true,
      "ArmAlert": true,
      "AssociationCode": true,
      "AutoCapCost": true,
      "AutoDownPayment": true,
      "AutoLeaseTerm": true,
      "AutoLoanType": true,
      "AutoMake": true,
      "AutoModel": true,
      "AutoMoneyFactor": true,
      "AutoMsrp": true,
      "AutoRebate": true,
      "AutoResidualFactor": true
    },
    "CredRepItemSelectableFields": {
      "IncludeAllCredRepItemFields": true,
      "CredRepItemFields": {
        "Amount": [
          0
        ],
        "Ch1": [
          0
        ],
        "Ch10": [
          0
        ],
        "Ch15": [
          0
        ],
        "Ch2": [
          0
        ],
        "Ch26": [
          0
        ],
        "Ch4": [
          0
        ],
        "ChLong": [
          0
        ],
        "Code": [
          0
        ],
        "Date": [
          0
        ],
        "SegExtended": true,
        "SegmentType": true,
        "SubsegmentType": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CredRepItemFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCredRepPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getCredRepPagedListSelectFields
POST /nexum/627/persistent/account/getCredRepPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCredRepFields": false,
    "CredRepFields": {
      "Locator": true,
      "Bureau": true,
      "RequestDate": true,
      "RequestTime": true,
      "CompletionCode": true,
      "LastName": true,
      "LoanAmount": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCredRepPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchCredRepPagedSelectFields
POST /nexum/627/persistent/account/searchCredRepPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCredRepFields": false,
    "CredRepFields": {
      "Locator": true,
      "Bureau": true,
      "RequestDate": true,
      "RequestTime": true,
      "CompletionCode": true,
      "LastName": true,
      "LoanAmount": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCredRepItemPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getCredRepItemPagedListSelectFields
POST /nexum/627/persistent/account/getCredRepItemPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCredRepItemPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchCredRepItemPagedSelectFields
POST /nexum/627/persistent/account/searchCredRepItemPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}